/*
 * Copyright 2022 Red Hat, Inc. and/or its affiliates
 * and other contributors as indicated by the @author tags.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.keycloak.authentication.authenticators.conditional;

import org.keycloak.authentication.Authenticator;
import org.keycloak.authentication.AuthenticatorFactory;
import org.keycloak.models.KeycloakSession;

public interface ConditionalAuthenticatorFactory extends AuthenticatorFactory {

    String REFERENCE_CATEGORY = "condition";

    @Override
    default Authenticator create(KeycloakSession session) {
        return getSingleton();
    }

    @Override
    default String getReferenceCategory() {
        return REFERENCE_CATEGORY;
    }

    ConditionalAuthenticator getSingleton();

}
